{"models":[{"endpoint_id":"bria/bria_video_eraser/erase/prompt","metadata":{"display_name":"Bria Video Eraser","category":"video-to-video","description":"A high-fidelity capability for erasing unwanted objects, people, or visual elements from videos while maintaining aesthetic quality and temporal consistency","status":"active","tags":["bria","erase"],"updated_at":"2026-01-26T21:41:51.707Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a875a33/-FGyIBxFrcWVZh-vsPpsC_f673e5d46d864e53becd4f71174b73ec.jpg","model_url":"https://fal.run/bria/bria_video_eraser/erase/prompt","license_type":"commercial","date":"2025-12-17T16:53:08.608Z","group":{"key":"bria-video-eraser","label":"Prompt"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for bria/bria_video_eraser/erase/prompt","version":"1.0.0","description":"The OpenAPI schema for the bria/bria_video_eraser/erase/prompt queue.","x-fal-metadata":{"endpointId":"bria/bria_video_eraser/erase/prompt","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a875a33/-FGyIBxFrcWVZh-vsPpsC_f673e5d46d864e53becd4f71174b73ec.jpg","playgroundUrl":"https://fal.ai/models/bria/bria_video_eraser/erase/prompt","documentationUrl":"https://fal.ai/models/bria/bria_video_eraser/erase/prompt/api","about":"Erase By Prompt"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Bria_video_eraserErasePromptInput":{"x-fal-order-properties":["output_container_and_codec","auto_trim","preserve_audio","prompt","video_url"],"required":["prompt","video_url"],"title":"EraseByPromptInputModel","properties":{"video_url":{"description":"Input video to erase object from. duration must be less than 5s.","examples":["https://bria-test-images.s3.us-east-1.amazonaws.com/videos/eraser_mask/woman_right_side.mov"],"title":"Video Url","type":"string"},"output_container_and_codec":{"description":"Output container and codec. Options: mp4_h265, mp4_h264, webm_vp9, gif, mov_h264, mov_h265, mov_proresks, mkv_h264, mkv_h265, mkv_vp9, mkv_mpeg4.","default":"mp4_h264","title":"Output Container And Codec","type":"string","enum":["mp4_h265","mp4_h264","webm_vp9","gif","mov_h264","mov_h265","mov_proresks","mkv_h264","mkv_h265","mkv_vp9","mkv_mpeg4"]},"prompt":{"description":"Input prompt to detect object to erase","examples":["women"],"title":"Prompt","type":"string"},"auto_trim":{"description":"auto trim the video, to working duration ( 5s )","default":true,"title":"Auto Trim","type":"boolean"},"preserve_audio":{"description":"If true, audio will be preserved in the output video.","default":true,"title":"Preserve Audio","type":"boolean"}},"type":"object"},"Bria_video_eraserErasePromptOutput":{"x-fal-order-properties":["video"],"required":["video"],"title":"VideoOutput","properties":{"video":{"description":"Final video.","title":"Video","anyOf":[{"$ref":"#/components/schemas/Video"},{"$ref":"#/components/schemas/File"}]}},"type":"object"},"Video":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"title":"Video","properties":{"content_type":{"description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"},"file_size":{"description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size"},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"}},"type":"object"},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"],"title":"File","properties":{"content_type":{"description":"The mime type of the file.","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"},"file_size":{"description":"The size of the file in bytes.","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size"},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"}},"type":"object"}}},"paths":{"/bria/bria_video_eraser/erase/prompt/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/bria/bria_video_eraser/erase/prompt/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/bria/bria_video_eraser/erase/prompt":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bria_video_eraserErasePromptInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/bria/bria_video_eraser/erase/prompt/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bria_video_eraserErasePromptOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/workflow-utilities/blend-video","metadata":{"display_name":"Workflow Utilities Blend Video","category":"video-to-video","description":"FFMPEG Utility for Blending Videos","status":"active","tags":[],"updated_at":"2026-04-21T17:56:36.327Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a8d4652/nA4J52mF2zpuS-is8vBDo_b537d210dc294adb934ded2b30a61477.png","model_url":"https://fal.run/fal-ai/workflow-utilities/blend-video","license_type":"commercial","date":"2026-02-05T16:03:39.149Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/workflow-utilities/blend-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/workflow-utilities/blend-video queue.","x-fal-metadata":{"endpointId":"fal-ai/workflow-utilities/blend-video","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a8d4652/nA4J52mF2zpuS-is8vBDo_b537d210dc294adb934ded2b30a61477.png","playgroundUrl":"https://fal.ai/models/fal-ai/workflow-utilities/blend-video","documentationUrl":"https://fal.ai/models/fal-ai/workflow-utilities/blend-video/api","about":"Blend two video frames together using various blend modes.\n\nUses FFmpeg's blend filter to combine two videos layer by layer.\nThe first input is the \"top\" layer and the second is the \"bottom\" layer.\nSupports blend modes like overlay, multiply, screen, and many more."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WorkflowUtilitiesBlendVideoInput":{"x-fal-order-properties":["top_video_url","bottom_video_url","blend_mode","opacity","shortest"],"title":"BlendVideoInput","description":"Input model for blending two video frames together","properties":{"shortest":{"title":"Shortest","description":"End output when the shortest input ends","type":"boolean","default":true},"opacity":{"maximum":1,"title":"Opacity","description":"Opacity of the top layer (0.0-1.0)","minimum":0,"type":"number","default":1},"bottom_video_url":{"title":"Bottom Video Url","examples":["https://storage.googleapis.com/falserverless/model_tests/kling/kling-v2.5-turbo-pro-image-to-video-output.mp4"],"description":"URL of the bottom layer video","max_file_size":100000000,"type":"string"},"top_video_url":{"title":"Top Video Url","examples":["https://storage.googleapis.com/falserverless/example_outputs/wan-25-i2v-output.mp4"],"description":"URL of the top layer video","max_file_size":100000000,"type":"string"},"blend_mode":{"enum":["addition","average","burn","darken","difference","divide","dodge","exclusion","grainextract","grainmerge","hardlight","lighten","multiply","negation","normal","overlay","phoenix","pinlight","reflect","screen","softlight","subtract","vividlight"],"title":"Blend Mode","description":"Blend mode to use for combining the videos","type":"string","default":"overlay"}},"type":"object","required":["top_video_url","bottom_video_url"]},"WorkflowUtilitiesBlendVideoOutput":{"x-fal-order-properties":["video"],"title":"BlendVideoOutput","description":"Output model for blended video","properties":{"video":{"$ref":"#/components/schemas/File","examples":[{"file_size":3886177,"file_name":"blended_output.mp4","content_type":"video/mp4","url":"https://v3b.fal.media/files/b/monkey/blended_output.mp4"}],"description":"The blended video output"}},"type":"object","required":["video"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"file_size":{"title":"File Size","examples":[4404019],"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}]},"content_type":{"title":"Content Type","examples":["image/png"],"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}]},"url":{"title":"Url","description":"The URL where the file can be downloaded from.","type":"string"}},"type":"object","required":["url"]}}},"paths":{"/fal-ai/workflow-utilities/blend-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/workflow-utilities/blend-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/workflow-utilities/blend-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowUtilitiesBlendVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/workflow-utilities/blend-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkflowUtilitiesBlendVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/infinitalk/video-to-video","metadata":{"display_name":"Infinitalk","category":"video-to-video","description":"Infinitalk model generates a talking avatar video from an image and audio file. The avatar lip-syncs to the provided audio with natural facial expressions.","status":"active","tags":["video-to-video"],"updated_at":"2026-04-21T17:49:35.419Z","is_favorited":null,"thumbnail_url":"https://v3.fal.media/files/lion/CKSKBDtMz0kao3Ege3oAj_0b61adf1742146f2b743efc7921003f3.jpg","model_url":"https://fal.run/fal-ai/infinitalk/video-to-video","license_type":"commercial","date":"2025-09-22T20:17:35.243Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/infinitalk/video-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/infinitalk/video-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/infinitalk/video-to-video","category":"video-to-video","thumbnailUrl":"https://v3.fal.media/files/lion/CKSKBDtMz0kao3Ege3oAj_0b61adf1742146f2b743efc7921003f3.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/infinitalk/video-to-video","documentationUrl":"https://fal.ai/models/fal-ai/infinitalk/video-to-video/api","about":"MultiTalk model generates a talking avatar video from an image and audio file.\nThe avatar lip-syncs to the provided audio with natural facial expressions."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"InfinitalkVideoToVideoInput":{"x-fal-order-properties":["video_url","audio_url","prompt","num_frames","resolution","seed","acceleration"],"title":"InfiniTalkVid2VidAudioRequest","required":["video_url","audio_url","prompt"],"type":"object","properties":{"audio_url":{"examples":["https://v3.fal.media/files/penguin/PtiCYda53E9Dav25QmQYI_output.mp3"],"title":"Audio URL","type":"string","description":"The URL of the audio file."},"prompt":{"examples":["A woman with colorful hair talking on a podcast."],"title":"Prompt","type":"string","description":"The text prompt to guide video generation."},"video_url":{"examples":["https://storage.googleapis.com/falserverless/model_tests/video_models/ref_video.mp4"],"title":"Video Url","type":"string","description":"URL of the input video."},"resolution":{"type":"string","title":"Resolution","default":"480p","enum":["480p","720p"],"description":"Resolution of the video to generate. Must be either 480p or 720p."},"seed":{"maximum":4294967295,"title":"Seed","default":42,"minimum":0,"type":"integer","description":"Random seed for reproducibility. If None, a random seed is chosen."},"acceleration":{"type":"string","title":"Acceleration","default":"regular","enum":["none","regular","high"],"description":"The acceleration level to use for generation."},"num_frames":{"maximum":241,"title":"Number of Frames","default":145,"minimum":41,"type":"integer","description":"Number of frames to generate. Must be between 81 to 129 (inclusive). If the number of frames is greater than 81, the video will be generated with 1.25x more billing units."}}},"InfinitalkVideoToVideoOutput":{"x-fal-order-properties":["video","seed"],"title":"InfinitalkVid2VidResponse","required":["video","seed"],"type":"object","properties":{"seed":{"title":"Seed","type":"integer","description":"The seed used for generation."},"video":{"$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/model_tests/video_models/mk7Ar5IvTtyNjWLRMb-re_dbe605004b664258b38528615afd7e0f.mp4"}],"description":"The generated video file."}}},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","required":["url"],"type":"object","properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","examples":["image/png"],"description":"The mime type of the file."},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","examples":[4404019],"description":"The size of the file in bytes."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."}}}}},"paths":{"/fal-ai/infinitalk/video-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/infinitalk/video-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/infinitalk/video-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InfinitalkVideoToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/infinitalk/video-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InfinitalkVideoToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-22-vace-fun-a14b/depth","metadata":{"display_name":"Wan 2.2 VACE Fun A14B","category":"video-to-video","description":"VACE Fun for Wan 2.2 A14B from Alibaba-PAI","status":"active","tags":[],"updated_at":"2026-06-24T13:04:56.064Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f9394/5xuptc139LYPtCtmGCYEH_7s637wVr.png","model_url":"https://fal.run/fal-ai/wan-22-vace-fun-a14b/depth","license_type":"commercial","date":"2025-09-17T20:52:28.123Z","group":{"key":"wan-22-vace-fun","label":"Depth"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/wan-22-vace-fun-a14b/depth","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-22-vace-fun-a14b/depth queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-22-vace-fun-a14b/depth","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f9394/5xuptc139LYPtCtmGCYEH_7s637wVr.png","playgroundUrl":"https://fal.ai/models/fal-ai/wan-22-vace-fun-a14b/depth","documentationUrl":"https://fal.ai/models/fal-ai/wan-22-vace-fun-a14b/depth/api","about":"Endpoint for generating video from depth maps."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Wan22VaceFunA14bDepthInput":{"required":["prompt","video_url"],"type":"object","title":"WanVACEDepthRequest","x-fal-order-properties":["prompt","negative_prompt","match_input_num_frames","num_frames","match_input_frames_per_second","frames_per_second","seed","resolution","aspect_ratio","num_inference_steps","guidance_scale","sampler","shift","video_url","ref_image_urls","first_frame_url","last_frame_url","enable_safety_checker","enable_prompt_expansion","preprocess","acceleration","video_quality","video_write_mode","num_interpolated_frames","temporal_downsample_factor","enable_auto_downsample","auto_downsample_min_fps","interpolator_model","sync_mode","transparency_mode","return_frames_zip"],"properties":{"num_inference_steps":{"minimum":2,"description":"Number of inference steps for sampling. Higher values give better quality but take longer.","type":"integer","title":"Number of Inference Steps","default":30,"maximum":50},"auto_downsample_min_fps":{"minimum":1,"description":"The minimum frames per second to downsample the video to. This is used to help determine the auto downsample factor to try and find the lowest detail-preserving downsample factor. The default value is appropriate for most videos, if you are using a video with very fast motion, you may need to increase this value. If your video has a very low amount of motion, you could decrease this value to allow for higher downsampling and thus longer sequences.","type":"number","examples":[15],"title":"Auto Downsample Min FPS","default":15,"maximum":60},"guidance_scale":{"minimum":1,"description":"Guidance scale for classifier-free guidance. Higher values encourage the model to generate images closely related to the text prompt.","type":"number","examples":[5],"title":"Guidance Scale","default":5,"maximum":10},"frames_per_second":{"description":"Frames per second of the generated video. Must be between 5 to 30. Ignored if match_input_frames_per_second is true.","title":"Frames per Second","anyOf":[{"minimum":5,"type":"integer","maximum":30},{"type":"null"}],"default":16},"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","type":"boolean","examples":[false],"title":"Enable Prompt Expansion","default":false},"ref_image_urls":{"description":"URLs to source reference image. If provided, the model will use this image as reference.","type":"array","title":"Reference Image URLs","items":{"type":"string"}},"num_interpolated_frames":{"minimum":0,"description":"Number of frames to interpolate between the original frames. A value of 0 means no interpolation.","type":"integer","examples":[0],"title":"Number of Interpolated Frames","default":0,"maximum":5},"aspect_ratio":{"description":"Aspect ratio of the generated video.","type":"string","title":"Aspect Ratio","default":"auto","enum":["auto","16:9","1:1","9:16"]},"first_frame_url":{"description":"URL to the first frame of the video. If provided, the model will use this frame as a reference.","title":"First Frame URL","anyOf":[{"type":"string"},{"type":"null"}]},"enable_auto_downsample":{"description":"If true, the model will automatically temporally downsample the video to an appropriate frame length for the model, then will interpolate it back to the original frame length.","type":"boolean","examples":[false],"title":"Enable Auto Downsample","default":false},"preprocess":{"description":"Whether to preprocess the input video.","type":"boolean","examples":[false],"title":"Preprocess","default":false},"num_frames":{"minimum":17,"description":"Number of frames to generate. Must be between 81 to 241 (inclusive).","type":"integer","title":"Number of Frames","default":81,"maximum":241},"match_input_num_frames":{"description":"If true, the number of frames in the generated video will match the number of frames in the input video. If false, the number of frames will be determined by the num_frames parameter.","type":"boolean","examples":[false],"title":"Match Input Number of Frames","default":false},"seed":{"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}]},"shift":{"minimum":1,"description":"Shift parameter for video generation.","type":"number","title":"Shift","default":5,"maximum":15},"video_url":{"description":"URL to the source video file. Required for depth task.","type":"string","examples":["https://storage.googleapis.com/falserverless/example_inputs/wan-vace-depth-video.mp4"],"title":"Video URL"},"return_frames_zip":{"description":"If true, also return a ZIP file containing all generated frames.","type":"boolean","examples":[false],"title":"Return Frames Zip","default":false},"video_write_mode":{"description":"The write mode of the generated video.","type":"string","examples":["balanced"],"title":"Video Write Mode","default":"balanced","enum":["fast","balanced","small"]},"last_frame_url":{"description":"URL to the last frame of the video. If provided, the model will use this frame as a reference.","title":"Last Frame URL","anyOf":[{"type":"string"},{"type":"null"}]},"sampler":{"description":"Sampler to use for video generation.","type":"string","examples":["unipc"],"title":"Sampler","default":"unipc","enum":["unipc","dpm++","euler"]},"enable_safety_checker":{"description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked.","type":"boolean","examples":[true],"title":"Enable Safety Checker","default":false},"video_quality":{"description":"The quality of the generated video.","type":"string","examples":["high"],"title":"Video Quality","default":"high","enum":["low","medium","high","maximum"]},"temporal_downsample_factor":{"minimum":0,"description":"Temporal downsample factor for the video. This is an integer value that determines how many frames to skip in the video. A value of 0 means no downsampling. For each downsample factor, one upsample factor will automatically be applied.","type":"integer","examples":[0],"title":"Temporal Downsample Factor","default":0,"maximum":5},"transparency_mode":{"description":"The transparency mode to apply to the first and last frames. This controls how the transparent areas of the first and last frames are filled.","type":"string","examples":["content_aware"],"title":"Transparency Mode","default":"content_aware","enum":["content_aware","white","black"]},"sync_mode":{"description":"If `True`, the media will be returned as a data URI and the output data won't be available in the request history.","type":"boolean","examples":[false],"title":"Sync Mode","default":false},"interpolator_model":{"description":"The model to use for frame interpolation. Options are 'rife' or 'film'.","type":"string","examples":["film"],"title":"Interpolator Model","default":"film","enum":["rife","film"]},"prompt":{"description":"The text prompt to guide video generation.","type":"string","examples":["A confident woman strides toward the camera down a sun-drenched, empty street. Her vibrant summer dress, a flowing emerald green with delicate white floral embroidery, billows slightly in the gentle breeze.  She carries a stylish, woven straw bag, its natural tan contrasting beautifully with the dress. The dress's fabric shimmers subtly, catching the light. The white embroidery is intricate, each tiny flower meticulously detailed.  Her expression is focused, yet relaxed, radiating self-assuredness. Her auburn hair, partially pulled back in a loose braid, catches the sunlight, creating warm highlights. The street itself is paved with warm, grey cobblestones, reflecting the bright sun. The mood is optimistic and serene, emphasizing the woman's independence and carefree spirit. High resolution 4k"],"title":"Prompt"},"acceleration":{"description":"Acceleration to use for inference. Options are 'none' or 'regular'. Accelerated inference will very slightly affect output, but will be significantly faster.","title":"Acceleration","examples":["regular"],"anyOf":[{"type":"string","enum":["none","low","regular"]},{"type":"null"}],"default":"regular"},"resolution":{"description":"Resolution of the generated video.","type":"string","title":"Resolution","default":"auto","enum":["auto","240p","360p","480p","580p","720p"]},"negative_prompt":{"description":"Negative prompt for video generation.","type":"string","examples":["letterboxing, borders, black bars, bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"],"title":"Negative Prompt","default":"letterboxing, borders, black bars, bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"},"match_input_frames_per_second":{"description":"If true, the frames per second of the generated video will match the input video. If false, the frames per second will be determined by the frames_per_second parameter.","type":"boolean","examples":[false],"title":"Match Input Frames Per Second","default":false}}},"Wan22VaceFunA14bDepthOutput":{"required":["video","prompt","seed"],"type":"object","title":"WanVACEDepthResponse","x-fal-order-properties":["video","prompt","seed","frames_zip"],"properties":{"seed":{"description":"The seed used for generation.","type":"integer","title":"Seed"},"video":{"description":"The generated depth video file.","$ref":"#/components/schemas/VideoFile","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/wan-vace-depth-output.mp4"}]},"prompt":{"description":"The prompt used for generation.","type":"string","title":"Prompt"},"frames_zip":{"description":"ZIP archive of all video frames if requested.","anyOf":[{"$ref":"#/components/schemas/File"},{"type":"null"}]}}},"VideoFile":{"required":["url"],"type":"object","title":"VideoFile","x-fal-order-properties":["url","content_type","file_name","file_size","width","height","fps","duration","num_frames"],"properties":{"width":{"description":"The width of the video","title":"Width","anyOf":[{"type":"integer"},{"type":"null"}]},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"num_frames":{"description":"The number of frames in the video","title":"Num Frames","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"duration":{"description":"The duration of the video","title":"Duration","anyOf":[{"type":"number"},{"type":"null"}]},"height":{"description":"The height of the video","title":"Height","anyOf":[{"type":"integer"},{"type":"null"}]},"fps":{"description":"The FPS of the video","title":"Fps","anyOf":[{"type":"number"},{"type":"null"}]}}},"File":{"required":["url"],"type":"object","title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]}}}}},"paths":{"/fal-ai/wan-22-vace-fun-a14b/depth/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-22-vace-fun-a14b/depth/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-22-vace-fun-a14b/depth":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Wan22VaceFunA14bDepthInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-22-vace-fun-a14b/depth/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Wan22VaceFunA14bDepthOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"topaz/deblur/video","metadata":{"display_name":"Topaz Deblur Video","category":"video-to-video","description":"Professional motion deblur powered by Topaz Labs. Themis 2 restores clarity to fast-moving, motion-blurred footage at source resolution. Best for sports and action footage.","status":"active","tags":["deblur","video",""],"updated_at":"2026-09-05T01:07:15.958Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aa5f4b6/hYmhqbFrxm9xIF3-iMYFx.jpg","model_url":"https://fal.run/topaz/deblur/video","license_type":"commercial","date":"2026-08-11T21:08:09.456Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for topaz/deblur/video","version":"1.0.0","description":"The OpenAPI schema for the topaz/deblur/video queue.","x-fal-metadata":{"endpointId":"topaz/deblur/video","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aa5f4b6/hYmhqbFrxm9xIF3-iMYFx.jpg","playgroundUrl":"https://fal.ai/models/topaz/deblur/video","documentationUrl":"https://fal.ai/models/topaz/deblur/video/api","about":"# Topaz Motion Deblur (Themis 2)\n\nRestores clarity to fast-moving, motion-blurred footage. Resolution\nand frame rate are kept from the source.\n\nVideos are limited to 5 minutes."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"DeblurVideoInput":{"x-fal-order-properties":["video_url","H264_output"],"properties":{"video_url":{"examples":["https://v3.fal.media/files/kangaroo/y5-1YTGpun17eSeggZMzX_video-1733468228.mp4"],"description":"URL of the video to deblur (motion deblur, Themis 2)","type":"string","title":"Video Url"},"H264_output":{"description":"Whether to use H264 codec for output video. Default is H265.","type":"boolean","title":"H264 Output","default":false}},"type":"object","title":"VideoDeblurRequest","required":["video_url"]},"DeblurVideoOutput":{"x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"url":"https://v3.fal.media/files/penguin/ztj_LB4gQlW6HIfVs8zX4_upscaled.mp4"}],"$ref":"#/components/schemas/File","description":"The upscaled video file"}},"type":"object","title":"VideoUpscaleOutput","required":["video"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"file_size":{"examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size"},"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"content_type":{"examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type"},"file_name":{"examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"}},"type":"object","title":"File","required":["url"]}}},"paths":{"/topaz/deblur/video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/topaz/deblur/video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/topaz/deblur/video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeblurVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/topaz/deblur/video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeblurVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/krea-wan-14b/video-to-video","metadata":{"display_name":"Krea Wan 14B","category":"video-to-video","description":"Superfast video model based on Wan 2.1 14b by Krea, excelling at real-time video-editing.","status":"active","tags":[],"updated_at":"2026-04-21T17:50:42.967Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/panda/3KnxV95bno9CU_SVwV0t8_aff74947261f49b4bf8a51a050881c86.jpg","model_url":"https://fal.run/fal-ai/krea-wan-14b/video-to-video","license_type":"commercial","date":"2025-10-14T16:06:51.280Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/krea-wan-14b/video-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/krea-wan-14b/video-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/krea-wan-14b/video-to-video","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/panda/3KnxV95bno9CU_SVwV0t8_aff74947261f49b4bf8a51a050881c86.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/krea-wan-14b/video-to-video","documentationUrl":"https://fal.ai/models/fal-ai/krea-wan-14b/video-to-video/api","about":"Video To Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KreaWan14bVideoToVideoInput":{"type":"object","properties":{"strength":{"type":"number","minimum":0.01,"description":"Denoising strength for the video-to-video generation. 0.0 preserves the original, 1.0 completely remakes the video.","title":"Strength","default":0.85,"maximum":1},"enable_prompt_expansion":{"type":"boolean","description":"Whether to enable prompt expansion. This will use a large language model to expand the prompt with additional details while maintaining the original meaning.","title":"Enable Prompt Expansion","default":false,"examples":[true]},"video_url":{"type":"string","description":"URL of the input video. Currently, only outputs of 16:9 aspect ratio and 480p resolution are supported. Video duration should be less than 1000 frames at 16fps, and output frames will be 6 plus a multiple of 12, for example 18, 30, 42, etc.","title":"Video Url","examples":["https://storage.googleapis.com/falserverless/example_inputs/krea_wan_14b_v2v_input.mp4"]},"prompt":{"type":"string","description":"Prompt for the video-to-video generation.","title":"Prompt","examples":["A powerful, matte black jeep, its robust frame contrasting with the lush green surroundings, navigates a winding jungle road, kicking up small clouds of dust and loose earth from its tires."]},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Seed for the video-to-video generation.","title":"Seed"}},"required":["prompt","video_url"],"title":"VideoToVideoInput","x-fal-order-properties":["prompt","strength","enable_prompt_expansion","video_url","seed"]},"KreaWan14bVideoToVideoOutput":{"type":"object","properties":{"video":{"description":"The generated video file.","$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/krea_wan_14b_v2v_output.mp4"}]}},"required":["video"],"title":"VideoToVideoOutput","x-fal-order-properties":["video"]},"File":{"type":"object","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"]},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type","examples":["image/png"]},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size","examples":[4404019]},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}},"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/krea-wan-14b/video-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/krea-wan-14b/video-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/krea-wan-14b/video-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KreaWan14bVideoToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/krea-wan-14b/video-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KreaWan14bVideoToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/vidu/q2/video-extension/pro","metadata":{"display_name":"Vidu","category":"video-to-video","description":"Use the latest Vidu Q2 models which much more better quality and control on your videos.","status":"active","tags":[],"updated_at":"2026-04-27T03:35:06.506Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/penguin/w0OmEqIT3ttJ87CyIv4YE_9fef0096f9f44fa7af8012a25eae3fa7.jpg","model_url":"https://fal.run/fal-ai/vidu/q2/video-extension/pro","license_type":"commercial","date":"2025-10-24T10:03:48.146Z","highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/vidu/q2/video-extension/pro","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/vidu/q2/video-extension/pro queue.","x-fal-metadata":{"endpointId":"fal-ai/vidu/q2/video-extension/pro","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/penguin/w0OmEqIT3ttJ87CyIv4YE_9fef0096f9f44fa7af8012a25eae3fa7.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/vidu/q2/video-extension/pro","documentationUrl":"https://fal.ai/models/fal-ai/vidu/q2/video-extension/pro/api","about":"Q2 Video Extension Pro"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"ViduQ2VideoExtensionProInput":{"title":"Q2VideoExtensionRequest","required":["video_url"],"properties":{"prompt":{"title":"Prompt","anyOf":[{"maxLength":3000,"type":"string"},{"type":"null"}],"description":"text prompt to guide the video extension"},"resolution":{"title":"Resolution","default":"720p","enum":["720p","1080p"],"type":"string","description":"Output video resolution"},"seed":{"title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen."},"video_url":{"title":"Video Url","type":"string","description":"URL of the video to extend","examples":["https://storage.googleapis.com/falserverless/model_tests/video_models/output-3.mp4"]},"duration":{"title":"Duration","default":4,"enum":[2,3,4,5,6,7],"type":"integer","description":"Duration of the extension in seconds"}},"type":"object","x-fal-order-properties":["video_url","prompt","seed","duration","resolution"]},"ViduQ2VideoExtensionProOutput":{"title":"Q2VideoExtensionOutput","required":["video"],"properties":{"video":{"description":"The extended video using the Q2 model","examples":[{"url":"https://v3b.fal.media/files/b/zebra/wSaP_lTetcD47ErjwsVGE_output.mp4"}],"$ref":"#/components/schemas/File"}},"type":"object","x-fal-order-properties":["video"]},"File":{"title":"File","required":["url"],"properties":{"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"file_name":{"title":"File Name","anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","examples":["z9RV14K95DvU.png"]},"file_size":{"title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","examples":[4404019]},"content_type":{"title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","examples":["image/png"]}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"]}}},"paths":{"/fal-ai/vidu/q2/video-extension/pro/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/q2/video-extension/pro/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/vidu/q2/video-extension/pro":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduQ2VideoExtensionProInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/vidu/q2/video-extension/pro/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ViduQ2VideoExtensionProOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/thinksound/audio","metadata":{"display_name":"ThinkSound","category":"video-to-video","description":"Generate realistic audio from a video with an optional text prompt","status":"active","tags":["audio-generation","video-to-audio"],"updated_at":"2026-04-21T17:55:04.130Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Sound-3.jpg","model_url":"https://fal.run/fal-ai/thinksound/audio","license_type":"commercial","date":"2025-07-02T22:58:54.729Z","group":{"key":"thinksound","label":"Video-to-Audio"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/thinksound/audio","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/thinksound/audio queue.","x-fal-metadata":{"endpointId":"fal-ai/thinksound/audio","category":"video-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Sound-3.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/thinksound/audio","documentationUrl":"https://fal.ai/models/fal-ai/thinksound/audio/api","about":"Generate audio from a video URL and a prompt.\n:param input: Input data containing video URL, prompt, and seed.\n:param response: FastAPI response object.\n:return: Output containing the generated audio file."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"ThinksoundAudioInput":{"type":"object","x-fal-order-properties":["video_url","prompt","seed","num_inference_steps","cfg_scale"],"properties":{"seed":{"description":"The seed for the random number generator","anyOf":[{"type":"integer"},{"type":"null"}],"title":"Seed"},"prompt":{"description":"A prompt to guide the audio generation. If not provided, it will be extracted from the video.","type":"string","title":"Prompt","default":""},"num_inference_steps":{"description":"The number of inference steps for audio generation.","type":"integer","title":"Number of Inference Steps","examples":[24],"maximum":100,"minimum":2,"default":24},"cfg_scale":{"description":"The classifier-free guidance scale for audio generation.","type":"number","title":"CFG Scale","examples":[5],"maximum":20,"minimum":1,"default":5},"video_url":{"description":"The URL of the video to generate the audio for.","type":"string","title":"Video Url","examples":["https://storage.googleapis.com/falserverless/example_inputs/thinksound-input.mp4"]}},"title":"Input","required":["video_url"]},"ThinksoundAudioOutput":{"type":"object","x-fal-order-properties":["audio","prompt"],"properties":{"prompt":{"description":"The prompt used to generate the audio.","type":"string","title":"Prompt","examples":["An acoustic guitar being played indoors."]},"audio":{"description":"The generated audio file.","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/thinksound-audio.wav"}],"$ref":"#/components/schemas/File"}},"title":"AudioOutput","required":["audio","prompt"]},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"url":{"description":"The URL where the file can be downloaded from.","type":"string","title":"Url"},"content_type":{"description":"The mime type of the file.","anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type","examples":["image/png"]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name","examples":["z9RV14K95DvU.png"]},"file_size":{"description":"The size of the file in bytes.","anyOf":[{"type":"integer"},{"type":"null"}],"title":"File Size","examples":[4404019]}},"title":"File","required":["url"]}}},"paths":{"/fal-ai/thinksound/audio/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/thinksound/audio/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/thinksound/audio":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThinksoundAudioInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/thinksound/audio/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThinksoundAudioOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"blackforestlabs/flux-3/extend-video/draft","metadata":{"display_name":"Flux 3 Extend Video Draft","category":"video-to-video","description":"FLUX.3 is Black Forest Labs' frontier audio/video model. Generate fast, low-cost draft previews that continue an existing clip, with a reusable draft cache for full-quality enhancement.","status":"active","tags":["stylized","transform","lipsync"],"updated_at":"2026-08-04T17:52:33.268Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0aa4ef3e/wQ8sIr_l0CHTZ5SJSBAgY.jpg","model_url":"https://fal.run/blackforestlabs/flux-3/extend-video/draft","license_type":"commercial","date":"2026-08-04T03:13:00.336Z","group":{"key":"flux-3-new-draft","label":"Extend Video Draft"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for blackforestlabs/flux-3/extend-video/draft","version":"1.0.0","description":"The OpenAPI schema for the blackforestlabs/flux-3/extend-video/draft queue.","x-fal-metadata":{"endpointId":"blackforestlabs/flux-3/extend-video/draft","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0aa4ef3e/wQ8sIr_l0CHTZ5SJSBAgY.jpg","playgroundUrl":"https://fal.ai/models/blackforestlabs/flux-3/extend-video/draft","documentationUrl":"https://fal.ai/models/blackforestlabs/flux-3/extend-video/draft/api","about":"Extend Video Draft"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"Flux3ExtendVideoDraftInput":{"title":"Flux3ExtendVideoDraftInput","properties":{"prompt":{"title":"Prompt","examples":["A red panda walks along a mossy log in a sunlit forest, one continuous unbroken shot."],"type":"string","description":"The text prompt describing the draft video."},"generate_audio":{"title":"Generate Audio","default":true,"type":"boolean","description":"Whether to generate audio for the draft video."},"video_url":{"title":"Video URL","examples":["https://storage.googleapis.com/falserverless/example_inputs/flux-3-red-panda.mp4"],"type":"string","description":"URL or data URI of the source MP4, at most 50 MiB."},"duration":{"title":"Duration","enum":["auto",5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"default":"auto","description":"Draft duration in whole seconds from 5 through 20, or `auto`."},"aspect_ratio":{"title":"Aspect Ratio","enum":["auto","21:9","2:1","16:9","4:3","1:1","3:4","9:16"],"default":"auto","type":"string","description":"Aspect ratio of the generated draft. `auto` lets the model choose."},"safety_tolerance":{"maximum":4,"title":"Safety Tolerance","minimum":0,"default":2,"type":"integer","description":"The safety tolerance level for the generated video. 0 is the strictest and 4 is the most permissive."}},"type":"object","x-fal-order-properties":["prompt","aspect_ratio","duration","generate_audio","safety_tolerance","video_url"],"required":["prompt","video_url"]},"Flux3ExtendVideoDraftOutput":{"title":"Flux3DraftOutput","properties":{"draft_cache":{"anyOf":[{"$ref":"#/components/schemas/File"},{"type":"null"}],"description":"Durable encrypted cache bundle; pass it to `draft-enhance` for a full-quality render. Absent when the partner did not return a cache bundle for this draft."},"video":{"$ref":"#/components/schemas/File","description":"The draft video."}},"type":"object","x-fal-order-properties":["video","draft_cache"],"required":["video"]},"File":{"title":"File","properties":{"file_name":{"title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided."},"url":{"title":"Url","type":"string","description":"The URL where the file can be downloaded from."},"content_type":{"title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file."},"file_size":{"title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes."}},"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"required":["url"]}}},"paths":{"/blackforestlabs/flux-3/extend-video/draft/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/blackforestlabs/flux-3/extend-video/draft/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/blackforestlabs/flux-3/extend-video/draft":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Flux3ExtendVideoDraftInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/blackforestlabs/flux-3/extend-video/draft/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Flux3ExtendVideoDraftOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/luma-dream-machine/ray-2-flash/modify","metadata":{"display_name":"Luma Ray 2 Flash Modify","category":"video-to-video","description":"Ray2 Flash Modify is a video generative model capable of restyling or retexturing the entire shot, from turning live-action into CG or stylized animation, to changing wardrobe, props, or the overall aesthetic and swap environments or time periods, giving you control over background, location, or even weather.","status":"active","tags":["modify","restyle"],"updated_at":"2026-06-24T11:42:59.963Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f92d4/OE4NIX_CnQw39U9HWlI6A_QIbhyMoI.png","model_url":"https://fal.run/fal-ai/luma-dream-machine/ray-2-flash/modify","license_type":"commercial","date":"2025-07-17T14:03:02.298Z","group":{"key":"luma-dream-machine","label":"Ray-2 Flash (Modify)"},"highlighted":false,"kind":"inference","pinned":false},"openapi":{"openapi":"3.0.4","info":{"title":"Queue OpenAPI for fal-ai/luma-dream-machine/ray-2-flash/modify","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/luma-dream-machine/ray-2-flash/modify queue.","x-fal-metadata":{"endpointId":"fal-ai/luma-dream-machine/ray-2-flash/modify","category":"video-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f92d4/OE4NIX_CnQw39U9HWlI6A_QIbhyMoI.png","playgroundUrl":"https://fal.ai/models/fal-ai/luma-dream-machine/ray-2-flash/modify","documentationUrl":"https://fal.ai/models/fal-ai/luma-dream-machine/ray-2-flash/modify/api","about":"Ray2 Flash Modify Video"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LumaDreamMachineRay2FlashModifyInput":{"type":"object","x-fal-order-properties":["video_url","image_url","prompt","mode"],"properties":{"image_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Optional URL of the first frame image for modification","title":"Image Url","examples":["https://fal.media/files/koala/Kv2821G03ggpKK2AiZX71_d5fa7bacf06049cfaeb9588f6003b6d5.jpg"]},"video_url":{"examples":["https://v3.fal.media/files/zebra/9aDde3Te2kuJYHdR0Kz8R_output.mp4"],"type":"string","description":"URL of the input video to modify","title":"Video Url"},"prompt":{"anyOf":[{"type":"string","maxLength":5000,"minLength":3},{"type":"null"}],"description":"Instruction for modifying the video","title":"Prompt"},"mode":{"type":"string","enum":["adhere_1","adhere_2","adhere_3","flex_1","flex_2","flex_3","reimagine_1","reimagine_2","reimagine_3"],"default":"flex_1","title":"Mode","description":"Amount of modification to apply to the video, adhere_1 is the least amount of modification, reimagine_3 is the most"}},"required":["video_url"],"title":"ModifyVideoRequest"},"LumaDreamMachineRay2FlashModifyOutput":{"type":"object","x-fal-order-properties":["video"],"properties":{"video":{"examples":[{"url":"https://v3.fal.media/files/lion/_2UO2QC26T_R8vKeVGAdX_output.mp4"}],"$ref":"#/components/schemas/File","description":"URL of the modified video"}},"required":["video"],"title":"ModifyOutput"},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"properties":{"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name"},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size"},"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"}},"required":["url"],"title":"File"}}},"paths":{"/fal-ai/luma-dream-machine/ray-2-flash/modify/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/luma-dream-machine/ray-2-flash/modify/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/luma-dream-machine/ray-2-flash/modify":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LumaDreamMachineRay2FlashModifyInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/luma-dream-machine/ray-2-flash/modify/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LumaDreamMachineRay2FlashModifyOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MTU","has_more":true}
